synth_access_traits.hpp File Reference

Go to the source code of this file.

## Classes

struct | __gnu_pbds::detail::synth_access_traits< Type_Traits, Set, _ATraits >

## Namespaces

namespace | __gnu_pbds

## Macros

#define | PB_DS_SYNTH_E_ACCESS_TRAITS_C_DEC
#define | PB_DS_SYNTH_E_ACCESS_TRAITS_T_DEC

## Variables

template<typename Type_Traits, bool Set, typename _ATraits>
integral_constant< int, Set > | __gnu_pbds::detail::synth_access_traits< Type_Traits, Set, _ATraits >::s_set_ind

## Detailed Description

Contains an implementation class for a patricia tree.

Definition in file synth_access_traits.hpp.

## Macro Definition Documentation

## PB_DS_SYNTH_E_ACCESS_TRAITS_C_DEC

#define PB_DS_SYNTH_E_ACCESS_TRAITS_C_DEC

Definition at line 54 of file synth_access_traits.hpp.

## PB_DS_SYNTH_E_ACCESS_TRAITS_T_DEC

#define PB_DS_SYNTH_E_ACCESS_TRAITS_T_DEC

Definition at line 51 of file synth_access_traits.hpp.

## Variable Documentation

## synth_access_traits< Type_Traits, Set, _ATraits >::s_set_ind

template<typename Type_Traits, bool Set, typename _ATraits>

integral_constant<int,Set> __gnu_pbds::detail::synth_access_traits< Type_Traits, Set, _ATraits >::s_set_ind

Definition at line 105 of file synth_access_traits.hpp.